Std Edit: Difference between revisions

From FreeCAD Documentation
(Fixed GuiCommand.)
(Minor Updates because of Std_UserEditMode.)
 
(30 intermediate revisions by 6 users not shown)
Line 4: Line 4:
<!--T:13-->
<!--T:13-->
{{Docnav
{{Docnav
|[[Std_Alignment|Std Alignment]]
|[[Std_Alignment|Alignment]]
|[[Std_UserEditMode|UserEditMode]]
|[[Std_DlgPreferences|Std DlgPreferences]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=
|IconL=Std_Alignment.svg
|IconR=Std_DlgPreferences.svg
|IconR=Std_UserEditMode.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}
Line 15: Line 15:
{{GuiCommand
{{GuiCommand
|Name=Std Edit
|Name=Std Edit
|MenuLocation={{StdMenu|[[Std_Edit_Menu|Edit]]}} → Toggle Editmode
|MenuLocation=Edit → Toggle Edit mode
|Workbenches=All
|Workbenches=All
|SeeAlso=[[Std_UserEditMode|Std UserEditMode]]
}}
}}


== Description == <!--T:2-->
==Description== <!--T:2-->


<!--T:3-->
<!--T:3-->
The '''Std Edit''' command activates or deactivates an object's edit mode.
The [[Image:Std_Edit.svg|24px]] [[Std_Edit|Edit]] command allows to enter or leave the edit mode of a selected object. An object must be either selected (then it enters edit mode) or in edit mode (then it leaves edit mode) for this command to work.


<!--T:4-->
==Usage== <!--T:16-->
The behaviour that occurs when entering edit mode depends on the object type. Some object types don't define any edit mode behaviour, in that case the standard behaviour (a transform widget) is used.


<!--T:5-->
<!--T:17-->
# If no object is in edit mode: select a single object.
You can also perform the same action by double-clicking an object in the [[Tree view]].
# Select the {{MenuCommand|Edit → [[Image:Std_Edit.svg|16px]] Toggle Edit mode}} option from the menu.
# Either the default edit mode of the selected object is activated or the existing edit mode deactivated.


== Scripting == <!--T:6-->
==Notes== <!--T:18-->

<!--T:19-->
* Some tools will be disabled (greyed-out) in the user interface while an object's edit mode is active.
* Not all object types have an edit mode.
* The functionality available in edit mode depends on the object type.
* An object's edit mode can also be activated by double-clicking it in the [[Tree_view|Tree view]]. In that case the edit mode that is used can be defined with the [[Std_UserEditMode|Std UserEditMode]] command.

==Scripting== <!--T:6-->

<!--T:20-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:7-->
<!--T:7-->
To activate an object's edit mode use the {{incode|setEdit}} method of the document object. This method is not available if FreeCAD is in console mode.
This enters edit mode of a determined object:


</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)
FreeCADGui.ActiveDocument.setEdit("myObjectName",0)
}}
}}
<translate>
<translate>

<!--T:23-->
The second argument is the EditMode. The following options are available:

<!--T:24-->
0 = Default
1 = Transform
2 = Cutting
3 = Color

<!--T:11-->
<!--T:11-->
To deactivate an object's edit mode use the {{incode|resetEdit}} method of the document object.
This closes the edit mode:


</translate>
</translate>
{{Code|code=
{{Code|code=
FreeCADGui.ActiveDocument.resetEdit()
import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()
}}
}}
<translate>
<translate>



<!--T:14-->
<!--T:14-->
{{Docnav
{{Docnav
|[[Std_Alignment|Std Alignment]]
|[[Std_Alignment|Alignment]]
|[[Std_UserEditMode|UserEditMode]]
|[[Std_DlgPreferences|Std DlgPreferences]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=
|IconL=Std_Alignment.svg
|IconR=Std_DlgPreferences.svg
|IconR=Std_UserEditMode.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}


</translate>
</translate>
{{clear}}

{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 18:07, 11 October 2021

Std Edit

Menu location
Edit → Toggle Edit mode
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Std UserEditMode

Description

The Std Edit command activates or deactivates an object's edit mode.

Usage

  1. If no object is in edit mode: select a single object.
  2. Select the Edit → Toggle Edit mode option from the menu.
  3. Either the default edit mode of the selected object is activated or the existing edit mode deactivated.

Notes

  • Some tools will be disabled (greyed-out) in the user interface while an object's edit mode is active.
  • Not all object types have an edit mode.
  • The functionality available in edit mode depends on the object type.
  • An object's edit mode can also be activated by double-clicking it in the Tree view. In that case the edit mode that is used can be defined with the Std UserEditMode command.

Scripting

See also: FreeCAD Scripting Basics.

To activate an object's edit mode use the setEdit method of the document object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

The second argument is the EditMode. The following options are available:

0 = Default
1 = Transform
2 = Cutting
3 = Color

To deactivate an object's edit mode use the resetEdit method of the document object.

import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()